Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyTag

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyTag

All Implemented Interfaces:
  `GroovyTag`

public class SimpleGroovyTag extends Object implements GroovyTag
Stores info about GroovyDoc tags.

## Constructor Summary

Constructors
Constructor
Description
`SimpleGroovyTag(String name, String param, String text)`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
The tag name, e.g.
`String`
`param()`
The optional parameter for tags like "throws" and "param".
`String`
`text()`
The text associated with the tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleGroovyTag

public SimpleGroovyTag(String name, String param, String text)

## Method Details

### name

public String name()
Description copied from interface: `GroovyTag`
The tag name, e.g. "deprecated", "param", "see" or "author".

Specified by:
  `name` in interface `GroovyTag`

### param

public String param()
Description copied from interface: `GroovyTag`
The optional parameter for tags like "throws" and "param".

Specified by:
  `param` in interface `GroovyTag`

### text

public String text()
Description copied from interface: `GroovyTag`
The text associated with the tag.

Specified by:
  `text` in interface `GroovyTag`